TOPIC: Plug-Ins With Upcoming OSX 10.15 (Catalina) Update

Plug-Ins With Upcoming OSX 10.15 (Catalina) Update 1 month 19 hours ago #20324

FYI, I've been getting notices from various plug-in makers to hold off on updating to OSX 10.15 (Catalina) for awhile. While that's normal with an update, I've been getting more notices than usual. Mike posted info for S-Gear under "News". Might be best to wait until the dust settles before upgrading if you use a lot of plug-ins.
I've been using Helix Native for years. Then I tried S-Gear. I like S-Gear better!
SIGN-IN TO REPLY

Plug-Ins With Upcoming OSX 10.15 (Catalina) Update 1 month 16 hours ago #20325

I've been testing Catalina for a few months and it's definitely going to force some changes to our habits. 32-bit apps are going away -- no loner usable on the Mac -- and I don't think most people realize just how many they use everyday. Developers are getting onboard with 64-bit versions of their products, but many still need to complete that process. S-Gear is 64-bit, so that's great news, but what Mike is referring to is another issue.

I don't see any good reason to upgrade to Catalina just yet, unless forced to (buying a new MacPro, etc.). Developers, and Apple themselves, will need a few months to smooth things over. ProTools users may need longer. Logic users will have earlier success.
SIGN-IN TO REPLY

Plug-Ins With Upcoming OSX 10.15 (Catalina) Update 1 month 14 hours ago #20326

You can go under your Apple icon in the menu bar System Report>Software>Applications, and then sort your Applications list on "64-bit" to see which ones ("No") are 32-bit. I was surprised by my list.

And, according to Apple, "Legacy Core Audio HAL audio hardware plug-ins are no longer supported." I have no idea how many plug-ins that might affect because I don't know a lot about the workings of Core Audio.
I've been using Helix Native for years. Then I tried S-Gear. I like S-Gear better!
Last edit: 1 month 14 hours ago by soundog.
SIGN-IN TO REPLY

Plug-Ins With Upcoming OSX 10.15 (Catalina) Update 1 month 11 hours ago #20330

I'm guessing that few people still require the old HAL drivers, and they've been replaced. I seem to remember removing mine many years ago (due to a conflict with some other hardware) and haven't missed them.
The following user(s) said Thank You: soundog
SIGN-IN TO REPLY

Plug-Ins With Upcoming OSX 10.15 (Catalina) Update 5 days 21 hours ago #20403

I just wanted to confirm S-Gear 2.71 runs fine on Catalina (I installed the upgrade last night).
The following user(s) said Thank You: soundog
SIGN-IN TO REPLY

Plug-Ins With Upcoming OSX 10.15 (Catalina) Update 5 days 20 hours ago #20404

I have had warnings not to upgrade yet from Izotope, Soundtoys, Eventide, Steinberg and many more so far.
That was enough for me not to be in any hurry!

Cheers

Dave

PS - A compatibility list here - www.sweetwater.com/sweetcare/articles/ma...-compatibility-list/
Last edit: 4 days 16 hours ago by DaveP 01.
SIGN-IN TO REPLY
Time to create page: 0.059 seconds
Powered by Kunena Forum